blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
382acd5330de3069e1ddfca642a513bf6a8fc800
Shell
yuyuvn/code-challenges
/start.sh
UTF-8
1,125
4.0625
4
[]
no_license
#!/bin/sh SUPPORTED_INTERPRET_LANGUAGE=(ruby node python) SUPPORTED_COMPILE_LANGUAGE=(go) SUPPORTED_LANGUAGE=( "${SUPPORTED_INTERPRET_LANGUAGE[@]}" "${SUPPORTED_COMPILE_LANGUAGE[@]}" ) # Check arguments if [ "$#" -lt 1 ]; then echo "Usage: sh $0 <Language> [Path to file]" >&2 exit 1 fi contains() { ...
true
f52cd58481d28adb4669374e214852ea2c83c293
Shell
joshghent/dotfiles
/code.sh
UTF-8
1,506
3.28125
3
[]
no_license
#!/usr/bin/env bash # Install command-line tools using Homebrew. # Ask for the administrator password upfront. sudo -v # Keep-alive: update existing `sudo` time stamp until the script has finished. while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & brew install node brew install nvm mkd...
true
703b631163d0d6c87e286bd00088e44c0bfb5d52
Shell
ysennoun/iot-mqtt-docker
/docker-files/subscriber.sh
UTF-8
673
3.765625
4
[]
no_license
#!/bin/sh # ----------------------------------------------------------------------------- # Script bash to run Mqtt subscriber # Author: Yassir Sennoun # ----------------------------------------------------------------------------- # Arguments syntax="INVALID ARGUMENTS: publisher.sh <MQTT SERVER URI> <TOPIC_NAME> <CO...
true
64b7d49e92f0d997faccb0b1ab0e7b8976289001
Shell
JohannesLorenz/lmms-zyn-fusion-test
/build.sh
UTF-8
3,037
3.890625
4
[]
no_license
#!/bin/bash die() { echo "Error: $@" >&2 echo "Please fix the error and retry" exit 1 } try_mkdir() { [ -d "$1" ] || mkdir "$1" } do_build() { local comp=$1 local jobs=$2 [[ "$comp" =~ ^gcc|clang$ ]] || die "Compiler must be \"gcc\" or \"clang\"" local compexe if [ $comp == "gcc" ] then cexe="gcc" ...
true
28df421001993524e0887058145a91bbf658ec34
Shell
SemanticBeeng/liquidity.ai
/mesos_install.sh
UTF-8
976
2.859375
3
[]
no_license
#!/bin/sh #ubunto 14.04 on ec2 mesos and spark install script wget http://archive.apache.org/dist/mesos/0.21.0/mesos-0.21.0.tar.gz tar -zxf mesos-0.21.0.tar.gz sudo apt-get update sudo apt-get install -y tar wget git # Update the packages. sudo apt-get update # Install a few utility tools. sudo apt-get install -y t...
true
3f4ff306537129084d1cd1f0844972ac2ace1925
Shell
Financial-Times/upp-provisioners
/upp-jenkins-provisioner/config/packer/provision-jenkins-controller.sh
UTF-8
1,347
3.359375
3
[]
no_license
#!/usr/bin/env bash set -euox pipefail IFS=$'\n\t' echo "Install Jenkins" # Ensure Jenkins use the same UID and GID. This way files in /var/lib/jenkins # will have always the corret user and group sudo mkdir /var/lib/jenkins sudo groupadd -g 800 jenkins sudo adduser -u 800 -g 800 -s /bin/false -d /var/lib/jenkins -M ...
true
d215f92532a536452c4d94194b685fce47767ef7
Shell
Dishendramishra/QuickyProxy
/setup_proxy.sh
UTF-8
5,895
3.625
4
[]
no_license
#!/bin/bash RED='\033[1;31m' GREEN='\033[1;32m' YELLOW='\033[1;33m' BLUE='\033[1;34m' MAGENTA='\033[1;35m' CYAN='\033[1;36m' WHITE='\033[1;37m' Color_Off="\033[0m" # checking sudo # ========================== if [ $EUID != 0 ]; then printf "${RED} run as: sudo ./setup_proxy.sh \n" exit fi # =================...
true
953bf0b661950ddaec71cac4791e3b2af68cae93
Shell
w0ng/builds
/packettracer-student/PKGBUILD
UTF-8
3,536
2.5625
3
[]
no_license
# Maintainer: Andrew Wong <wongadev@gmail.com> # You must manually download Cisco Packet Tracer from: # https://www.netacad.com/documents/301287/144936315/Cisco+Packet+Tracer+6.1+for+Linux+-+Ubuntu+installation+%28with+tutorials%29%20-+Student+version.tar.gz/d639a1a7-1228-4a9d-8099-2a99096dc594 # Original packettracer...
true
70f4de31fec27ea45f7720b23483709c027b29cc
Shell
iesextremadura/sh
/siatic/adobeflashplugin
UTF-8
1,191
3.5
4
[ "MIT" ]
permissive
#!/bin/bash # SOURCE Bashstyling (https://github.com/iesextremadura/sh/blob/master/styles) source <(curl -s https://raw.githubusercontent.com/iesextremadura/sh/master/styles) h1 "Comprobamos que el plugin de adobe-flashplugin está instalado" h1 "1. Comprobamos si el plugin está instalado" if dpkg -l adobe-flashplugin...
true
46209f8e33dc16163a243d9d99c97692fb7e7fae
Shell
eyhl/issm
/trunk/externalpackages/esmf/install.sh
UTF-8
865
3.203125
3
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
#!/bin/bash set -eu export ESMF_DIR=$ISSM_DIR/externalpackages/esmf/esmf export ESMF_INSTALL_PREFIX=$ISSM_DIR/externalpackages/esmf/install export ESMF_COMPILER=gfortran export ESMF_COMM=mpich2 #Some cleanup rm -rf esmf_6_3_0rp1 rm -rf esmf #Download from ISSM server $ISSM_DIR/scripts/DownloadExternalPackage.py 'htt...
true
5557c1acec3b4c996e210f4dcf01521117690e5e
Shell
kenwest/cbf-drupal
/cbf_webhook/test/group.sh
UTF-8
1,166
3.796875
4
[]
no_license
#!/bin/bash DIRECTORY=$(dirname $0) COMMAND=$(basename $0 .sh) case $# in ( 1 ) DATA=$(ls $DIRECTORY/$COMMAND.$1.*.json) PREP=$DIRECTORY/$(basename $DATA .json).prep ;; ( * ) echo echo Usage ":" bash $COMMAND.sh TEST echo echo TEST is one of the following options ... for i in $(ls ...
true
33c2f72bf0dca1c247c1904602a8672b3692dd5d
Shell
asansanwal/installers
/mac/scripts.rh/postinstall
UTF-8
8,379
3.203125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash mkdir /tmp/Subutai vboxmanage="/usr/local/bin/VBoxManage" # plugin_path=/Users/"${USER}"/Library/Application\ Support/Google/Chrome/External\ Extensions/kpmiofpmlciacjblommkcinncmneeoaa.json ssh-keygen -R "[localhost]:4567" function jsonval { temp=`echo $json | sed 's/\\\\\//\//g' | sed 's/[{}]//g' ...
true
4c3b04e4c404619d79dc4cc6261f5ddc6c3f853a
Shell
shop-loyalty/postfix
/entrypoint.sh
UTF-8
2,781
3.71875
4
[]
no_license
#!/bin/bash set -e # usage: file_env VAR [DEFAULT] # ie: file_env 'XYZ_DB_PASSWORD' 'example' # (will allow for "$XYZ_DB_PASSWORD_FILE" to fill in the value of # "$XYZ_DB_PASSWORD" from a file, especially for Docker's secrets feature) file_env() { local var="$1" local fileVar="${var}_FILE" local def="${2:-}" ...
true
db73cc1b3d3cadb89b8a24c471b77328da3f65f7
Shell
vpalladi/HGCalStage1_FW
/cactusupgrades/projects/calol2/software/calol2/tests/env.sh
UTF-8
1,106
3.15625
3
[]
no_license
function pathadd() { # TODO add check for empty path # and what happens if $1 == $2 # Copy into temp variables PATH_NAME=$1 PATH_VAL=${!1} if [[ ":$PATH_VAL:" != *":$2:"* ]]; then PATH_VAL="$2${PATH_VAL:+":$PATH_VAL"}" echo "- $1 += $2" # use eval to reset the target eval "$PATH_NAME=$PATH_...
true
e55db96c15a21a556ab55fcc562d6ef8218df419
Shell
suplexx12/my
/create6.sh
UTF-8
3,299
3.25
3
[]
no_license
#!/bin/bash #Setup Variables GREEN='\033[0;32m' YELLOW='\033[0;93m' RED='\033[0;31m' NC='\033[0m' #Checking OS if [[ $(lsb_release -d) != *16.04* ]]; then echo -e ${RED}"The operating system is not Ubuntu 16.04. You must be running on ubuntu 16.04."${NC} exit 1 fi echo -e ${YELLOW}"Welcome to the Northern Automa...
true
a28d7582429196974722d52bd3e101a7bbb6d644
Shell
grohiro/dotfiles
/bin/git-export
UTF-8
271
3.84375
4
[]
no_license
#!/bin/bash # Usage: git-export from-id to-id dirname if [ $# -lt 3 ] then echo "Usage: git-export from-id to-id dirname" exit 1 fi from=$1 to=$2 dir=$3 mkdir -p $dir for f in $(git diff --name-only $from..$to) do mkdir -p $dir/$(dirname $f) cp $f $dir/$f done
true
3d94a62051484821d99f9db07a74a5d5dcbd6be4
Shell
BurntSushi/dotfiles
/.aliasrc
UTF-8
2,613
3.3125
3
[]
no_license
# vim: ft=sh sw=2 ts=2 sts=2 if [ -f ~/.systemd.sh ]; then . ~/.systemd.sh fi # Aliases. if is-mac; then alias ls='ls -G' alias l='ls -lhG' else alias ls='ls -N --color=auto --group-directories-first' alias l='ls -lhN' fi alias y='yay' alias p="ps axo pid,cmd | sed 's/^\\s*\\([0-9]\\+\\)\\s\\+/\\1\\t/g'...
true
072c67df184641301ac0af24305874ae4ded812b
Shell
polettix/dibspack-basic
/wrapexec/profilexec
UTF-8
185
3.125
3
[]
no_license
#!/bin/sh if [ -r "$HOME/.profile" ] ; then . "$HOME/.profile" elif [ -d "$HOME/.profile.d" ] ; then for file in "$HOME"/.profile.d/*.sh ; do . "$file" done fi exec "$@"
true
639cd68ae7dd5769618de1523207deafac8b652f
Shell
nelt/ufc-load-testing
/ufc-load-testing-delivery/src/main/scripts/start-services.sh
UTF-8
954
2.671875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash MEM=32m EXPOSE_JMX_METRICS=true HOST=localhost PORT=9876 CLIENT_POOL_SIZE=5 CLEANUP_RATE=0 CLEANUP_KEPT=100000 JMX_PORT=9010 SCRIPT="$(readlink --canonicalize-existing "$0")" SCRIPTPATH="$(dirname "$SCRIPT")" CP=$(ls $SCRIPTPATH/ufc-load-testing-job-service-${project.version}.jar) MAIN=org.cod...
true
a92753f28ca4a7210a514cd59510148f91b0fd52
Shell
emeidi/flickerbook2mp4
/animate.sh
UTF-8
256
3.078125
3
[]
no_license
#!/bin/sh FFMPEG=`which ffmpeg` FRAMESPERSEC=10 # the more frames the faster it looks EXT="jpg" # pay attention to lower- and uppercase DEST="flickerbook.mp4" $FFMPEG -f image2 -r $FRAMESPERSEC -pattern_type glob -i '*.'$EXT -c:v libx264 "$DEST" exit 0
true
8f598afee56dfd1b7a8bb445ba00247042b3ea54
Shell
pravindeshmukh1/ShellScript2
/dictionaries/die2.sh
UTF-8
480
3.5625
4
[]
no_license
#!/bin/bash -x declare -A dice die=1 while [[ ${dice["$die"]} -ne 10 ]] do die=$((RANDOM % 6 + 1)) dice["$die"]=$((${dice["$die"]}+1)) done echo "Dice" ${!dice[@]} echo "dictonary: " ${dice[@]} max_number=${dice[1]} min_number=${dice[1]} for (( i=0;i<=6;i++ )) do if [[ ${dice[$i]} -gt $max_number ]] then m...
true
0b0dc09d47061b61aa98bc578f53bd266472b910
Shell
rdkcmf/rdkb-Utopia
/source/scripts/init/service.d/lan_handler.sh
UTF-8
19,557
2.75
3
[ "Apache-2.0", "BSD-3-Clause" ]
permissive
#!/bin/sh ########################################################################## # If not stated otherwise in this file or this component's Licenses.txt # file the following copyright and licenses apply: # # Copyright 2015 RDK Management # # Licensed under the Apache License, Version 2.0 (the "License"); # you may ...
true
7fc3e191298fad348ac0410077633baa0cb23e11
Shell
ppouliot/ansible-role-ubnt_platform_mgmt
/templates/get-EdgeSwitch-config.sh.j2
UTF-8
1,541
3.359375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Notes: # Grab running-config from switch and save to an IP-timestamp file in /tmp. # The user this runs as must have level 15 access to the switch. SWITCHES="{{ edgerouters }}" UA="User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:57.0) Gecko/20100101 Firefox/57.0" for SW in $SWITCHES; do ...
true
118782b144fcde088e6decbadd171d91964237f6
Shell
JavaQualitasCorpus/netbeans-7.3
/cnd.modelimpl/test/whitebox/scripts/preprocessor-for-project/preprocess-project2.sh
UTF-8
513
3.421875
3
[]
no_license
#!/bin/bash # # Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved. # function main() { projName="`basename $1`" currentDir="`pwd`" rm -r $projName/pptemp mkdir -p $projName/pptemp export MY_PP_TEMP=${currentDir}/$projName/pptemp export MY_PP_TARGET=$1 echo "Addin...
true
5d894d7c7808bb3fc715970704d985112dd0cb75
Shell
alter/elk
/opt/docker/tools/setup_docker-compose_in_system.sh
UTF-8
253
2.515625
3
[]
no_license
#!/bin/bash version=$(curl https://github.com/docker/compose/releases/ | egrep 'docker/compose/releases/tag' |head -1 | awk -F '>' '{print $2}' | awk -F '<' '{print $1}') sudo apt-get install python3-pip -y sudo pip3 install -U docker-compose==$version
true
94901f65199360baa3c6e7ffcea536d9c4bf1577
Shell
ArmstrongLLQ/cpp-project
/shell01/myshell
UTF-8
217
3.09375
3
[]
no_license
#! /bin/sh A=$1 B=$2 C=$3 case "$2" in +) echo "`expr $1 + $3`" ;; -) echo "`expr $1 - $3`" ;; x) echo "`expr $1 * $3`" ;; /) echo "`expr $1 / $3`" ;; %) echo "`expr $1 % $3`" ;; *) echo "error" esac
true
ca5e67bd9b975799c46bc18294fc0a59592ef7d4
Shell
MW-autocat-script/fr-MW-autocat-script
/catscripts/Science/Scientists/Scientists.sh
UTF-8
1,125
3.234375
3
[]
no_license
#!/bin/bash egrep -i 'Stephen Hawking' newpages.txt >> StephenHawking.txt egrep -i 'Charles Darwin' newpages.txt >> CharlesDarwin.txt egrep -i 'Leonardo da Vinci' newpages.txt >> LeonardoDaVinci.txt egrep -i 'Marie Curie' newpages.txt >> MarieCurie.txt egrep -i 'Isaac Newton' newpages.txt >> IsaacNewton.txt HAWKING=`...
true
76f3f79711631fe765ee0972a25c8ed36183c0ad
Shell
felixpalta/test_task
/client/raw_rq_test.sh
UTF-8
326
3.421875
3
[]
no_license
#!/bin/bash if [ $# -lt 2 ]; then echo "Usage: $0 server_pipe \"request\""; exit 1 fi SERVER_PIPE=$1 RQ=$2 CLIENT_PIPE="/tmp/raw_test_client" if [ ! -p "$CLIENT_PIPE" ]; then mkfifo "$CLIENT_PIPE"; fi echo "$CLIENT_PIPE" > "$SERVER_PIPE" && echo "$RQ" > "$CLIENT_PIPE" && cat "$CLIENT_PIPE"; rm -f "$CLIENT_...
true
7fc4946d1542c0f9888428e0ac3c7966ceeb02cf
Shell
openstack/trove
/integration/scripts/files/deprecated-elements/ubuntu-xenial-mongodb/install.d/10-mongodb-thp
UTF-8
599
2.953125
3
[ "Apache-2.0" ]
permissive
#!/bin/sh set -e set -o xtrace export DEBIAN_FRONTEND=noninteractive cat > /lib/systemd/system/disable_transparent_huge_pages.service << '_EOF_' [Unit] Description=Disable Transparent Huge Pages [Service] Type=oneshot ExecStart=/usr/bin/sh -c "/usr/bin/echo "never" | tee /sys/kernel/mm/transparent_hugepage/enabled"...
true
e1ad3d8dedd8fec6452ef02e5d3e81ce51cf0c89
Shell
misiyu/base_shell_demo
/sh/basic/for/1for.sh
UTF-8
554
2.953125
3
[]
no_license
for v in 1 2 3 4 5 do echo "$v" done echo "====================" for v in {1..5} do echo "$v" done echo "====================" sum=0 for i in {1..100..2} do let "sum+=i" done echo "sum=$sum" echo "====================" sum=0 for i in $(seq 1 2 100) do let "sum+=i" done echo "sum=$sum" echo "===================="...
true
b0c34e72d6113532cb3626735a5d63104e967207
Shell
gschueler/rerun
/modules/stubbs/commands/add-option/default.sh
UTF-8
3,541
4.3125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # NAME # # add-option # # DESCRIPTION # # add a command option # # Source common function library . $RERUN_MODULES/stubbs/lib/functions.sh # print an error and exit die() { echo "ERROR: \$* " ; exit 1 ; } # Upper case the string caps() { echo "$1" | tr '[:lower:]' '[:upper:]' ; } # Used to generat...
true
8cc1b77b6d1450d3283449c5d45114b867545d14
Shell
shellyhh/myblogsite
/myblogsvr.sh
UTF-8
310
2.96875
3
[]
no_license
#!/bin/sh #server script case $1 in start) echo "server start" echo $0 sudo /etc/init.d/nginx start uwsgi --ini ./myblogsite/uwsgi.ini ;; stop) echo "server stop" sudo killall -9 nginx sudo killall -9 uwsgi ;; restart) echo "server restart" $0 stop $0 start ;; *) echo "nothing" ;; esac exit 0
true
e1d807c9754bcf1d7a48c8cfb202767c406b1c1b
Shell
toulousain79/MySB
/inc/funcs_by_script/funcs_Install
UTF-8
13,278
3.546875
4
[ "MIT" ]
permissive
#!/bin/bash # ---------------------------------- # __/\\\\____________/\\\\___________________/\\\\\\\\\\\____/\\\\\\\\\\\\\___ # _\/\\\\\\________/\\\\\\_________________/\\\/////////\\\_\/\\\/////////\\\_ # _\/\\\//\\\____/\\\//\\\____/\\\__/\\\__\//\\\______\///__\/\\\_______\/\\\_ # _\/\\\\///\\\/\\\/_\/\\\___\...
true
b2338ce92cdf342e53124a51e02a85ca574c95d5
Shell
austinjdean/rc
/defaults.sh
UTF-8
485
3.359375
3
[]
no_license
#!/bin/bash defaultDirectories=(Desktop Documents Downloads Music Pictures Public Templates Videos) exitStatus=1 for dir in ${defaultDirectories[@]}; do mkdir -p $HOME/defaults/$dir if [[ "$@" == "-v" ]]; then echo Moving $dir fi mv $HOME/$dir/* $HOME/defaults/$dir 2> /dev/null if [[ $? == 0 ]]; then exitSt...
true
ce463562fc5b985ef8b5b2543679198044b3ac36
Shell
alonappleboim/nflab_scripts
/shell/parallel_exec_bash/parallel_exec.bash
UTF-8
3,151
4.09375
4
[]
no_license
#!/bin/bash # A wrapper script for handling multiple samples (in parallel). # # Each line in the input is a command executed in parallel, only after all the commands were successfuly executed # the control will return to the calling process, and the output of the script is the same command list. # # Execution info is w...
true
12f85ff9acb76944af1dd1c9ae50d33fcc5d9272
Shell
petrsnd/rootbuilder
/run.sh
UTF-8
783
3.859375
4
[ "MIT" ]
permissive
#!/bin/bash ScriptDir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" if test -t 1; then YELLOW='\033[1;33m' NC='\033[0m' fi if [ ! -z "$(which docker)" ]; then if [ -z "$(docker images -q rootbuilder)" ]; then echo -e "${YELLOW}Building the rootbuilder container image.${NC}" $ScriptD...
true
07d6283708657062b7ae91cd76aad3cd7f05884a
Shell
huizhen2014/Language_recipes
/prokka_spine_AGEnt_ClustAGE_analysis.sh
UTF-8
2,787
3.109375
3
[]
no_license
##http://vfsmspineagent.fsm.northwestern.edu/index_age.html ##https://sourceforge.net/projects/clustage/files/ ##prepare for the spine.pl by annotating the fasta with prokka #for file in $(find $(pwd) -maxdepth 1 -name "*.fasta") # do # tmp=${file##*/} # tmp=${tmp%[-_]*} # prokka --kingdom Bacteria --prefix ${tmp}_...
true
3f69724038d325c547ce8350bf619b6fd686d08b
Shell
markjdb/dotfiles
/bashrc
UTF-8
4,742
3.296875
3
[]
no_license
prompt_prefix() { git branch >/dev/null 2>&1 && \ echo "git ("$(git branch 2> /dev/null | awk '/\*/ {print $2}')") " && \ return stat CVS >/dev/null 2>&1 && echo "CVS " && return ( svn info >/dev/null 2>&1 || \ svn info 2>&1 | grep -q 'Previous operation has not finished' ) && \ ...
true
1e059344928a00be2ad4d2803e474bb2082d171d
Shell
HarruMamburu/oh-my-tools
/linux/terminal/is
UTF-8
506
3.21875
3
[]
no_license
#!/bin/bash #set -x cur_dir=`pwd` ncb_port=8963 lsof -i:$ncb_port 2>&1 > /dev/null if [ $? -ne "0" ]; then echo "ncbd do not start, pls start daemon first" exit 1 fi if [ -n "$SSH_CONNECTION" ]; then svr_ip=`echo $SSH_CONNECTION | awk '{print $1}'` clt_ip=`echo $SSH_CONNECTION | awk '{print $3}'` ...
true
15b15ab266570887847b289a5bfcc95bcd166f3a
Shell
snflo/bruteforce
/brute_3.txt
UTF-8
1,936
2.71875
3
[]
no_license
#!/bin/bash #SBATCH --account=nn????? #SBATCH --job-name=brute_3 #SBATCH --time=1-00:00:00 #SBATCH --partition=normal #SBATCH --cpus-per-task=30 #SBATCH --mem-per-cpu=2G set -o errexit set -o nounset cd /cluster/work/users/snorref/mainseq/SNO1/ pwd ls echo Chores COPC="SNO1" CORES=30 module --quiet pur...
true
3a2d37334140983c9a7087a6bcf87517bda2ae2f
Shell
coverprice/dotfiles
/.bash_profile
UTF-8
1,119
3.21875
3
[]
no_license
# .bash_profile # Get the aliases and functions if [ -f ~/.bashrc ]; then . ~/.bashrc fi # User specific environment and startup programs export GOPATH=$HOME/gocode PATH="${PATH}:${HOME}/.local/bin:${HOME}/bin:${GOPATH}/bin" export FIGNORE=".o:~:.pyc:.pyo" # original: PROMPT_COMMAND='printf "\033k%s@%s:%s\033\...
true
1ddb1d6d36de052b7f2570ff1c619a07075a4dc6
Shell
schidambaran/qbb2020-answers
/week10/week10_scripts.sh
UTF-8
1,779
3.21875
3
[]
no_license
#!/bin/bash # Reformat KRAKEN files for Krona graphs for FILE in /Users/cmdb/qbb2020-answers/week10/week13_data/KRAKEN/*.kraken; do python week10_kraken_reformat.py ${FILE} done # Create Krona graphs for KRAKEN_FILE in /Users/cmdb/qbb2020-answers/week10/week13_data/KRAKEN/*_edited.kraken; do # Get sample name SAM...
true
73980d8fc65e4b77642c9252ace59fac88d2145e
Shell
nathanielng/malcx
/src/kill_lock.sh
UTF-8
216
2.640625
3
[]
no_license
#!/bin/bash # ----- Kill the docker container ----- CONTAINER_ID=`docker ps | grep intellegensdocker | awk '{print $1}'` docker kill ${CONTAINER_ID} # ----- Delete the lock file ----- rm -v ${ALCX_RUN_FOLDER}/lock
true
9ec4f3243da3e71c08d54f445806695379a43ebd
Shell
kenahrens/nri-bash
/uptime/bin/uptime.sh
UTF-8
517
3.9375
4
[ "MIT" ]
permissive
#!/bin/sh # Get the count of files # ls gets the list, wc counts the lines, tr trims whitespace UPTIME=`cat /proc/uptime | cut -f1 -d ' '` # Read in the JSON template JSON=`cat ./template/uptime-template.json` # Replace the values in the JSON # The @ in the sed command is a delimiter # s@UPTIME@${UPTIME} replaces UP...
true
cb7fd1b0206a82739cf44489100705f8ffd38a4f
Shell
slemonide/python_text
/notebook_image/start
UTF-8
510
2.75
3
[]
no_license
#!/bin/bash -l # ==== ONLY EDIT WITHIN THIS BLOCK ===== mkdir -p /srv/notebook_repo cd /srv/notebook_repo cp -a /srv/problem_solving_notebooks/* /srv/notebook_repo/. mkdir -p /srv/notebook_repo/_build/html echo "I was here" > /srv/notebook_repo/_build/html/a_file.txt git config --global user.email "joyvan@email.com" ...
true
3c5d55e768354a89a6343badb4719a2f4c13e2cb
Shell
EasternGD/Shell-pratice
/07_Loops/for.sh
UTF-8
224
3
3
[]
no_license
#!/bin/sh echo type "\"for i in 1 2 3 4 5\"" for i in 1 2 3 4 5 do echo Looping ... number $i done echo type "\"for i in hello 1 * 2 goodbye\"" for i in hello 1 * 2 goodbye do echo Looping ... i is set to $i done
true
02bd9e5194e4b4843e5e3e4b87cfd1f05cd020d9
Shell
ZJgithubZJ/Shell
/swapsum.sh
UTF-8
395
3.40625
3
[]
no_license
#!/bin/sh for PID in `ls -l /proc |grep ^d |awk '{print $9}' |grep -v [^0-9]` do grep -q "Swap" /proc/$PID/smaps 2>/dev/null if [ $? -eq 0 ];then COUNT=$(grep Swap /proc/$PID/smaps |wc -l) if [ $COUNT -gt 0 ];then swap=$(grep Swap /proc/$PID/smaps | gawk '{sum+=$2;} END{print sum}') ...
true
3e8740625dfe54b86fcbf52e82593efbc1af19ff
Shell
YohananDiamond/snippets
/shell/stack-operations.bash
UTF-8
464
3.640625
4
[]
no_license
#!/usr/bin/env bash ## A collection of stack operations in bash. ## Felt lazy, might make this work with dash later. stackAppend() { [ $# = 2 ] || exit 1 printf "$1" grep -q ':$' <<<"$1" \ || grep -q '^$' <<<"$1" \ || printf ":" printf "$2" } stackPop() { [ $# = 1 ] || exit 1 sed 's/:[^:]\+$//g'...
true
e4a65f09d76f96b29d77d5a1f2bf9fd446eac389
Shell
nerds-odd-e/bbuddy-acceptance-test
/script/add_api_for_acceptance_tests.sh
UTF-8
392
3.359375
3
[]
no_license
#!/bin/bash API_FOLDER=$1 add_symlink() { SOURCE_FOLDER=$1 if [ -z "$2" ] then TARGET_FOLDER=$SOURCE_FOLDER else TARGET_FOLDER=$2 fi rm $TARGET_FOLDER ln -s $API_FOLDER/$SOURCE_FOLDER $TARGET_FOLDER } for subFolder in app bin config db lib log public Rakefile tmp config.r...
true
ef2d52a47c4e5b3104b93b192ec21d5087303a6c
Shell
jerrywthompson/garagebuddy
/tools/copyWebpage.sh
UTF-8
579
3.265625
3
[]
no_license
#!/bin/bash echo "********** Starting copyWebpage.sh **********" # navigate to the webpage directory echo "********** Naivgate to /home/pi/garaagebuddy/www **********" cd /home/pi/garagebuddy/webpage # removed directory if exists echo "********** Delete /var/www/html/garagebuddy directory if present **********" sudo r...
true
0327480768cca225e9c678628298b1f0c914ffd8
Shell
vsteffen/Override
/level07/Ressources/payload.bash
UTF-8
1,654
3.125
3
[]
no_license
#!/bin/bash PATH_LEVEL07="/home/users/level07/level07" SHELLCODE="\x31\xc0\x50\x68\x2f\x2f\x73\x68\x68\x2f\x62\x69\x6e\x89\xe3\x50\x53\x89\xe1\xb0\x0b\xcd\x80" SHELLCODE_LENGTH=$(echo -n $SHELLCODE | /usr/bin/wc -c) SHELLCODE_BYTES_LENGTH=$(($(echo -n "${SHELLCODE//\\x}" | /usr/bin/wc -c) / 2)) OVERFLOW=1073741824 IN...
true
cbd750b9adc6e58ab5202478eb155b07aecd2ada
Shell
KGerhardt/miga
/scripts/project_stats.bash
UTF-8
639
3.125
3
[ "Artistic-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # Available variables: $PROJECT, $RUNTYPE, $MIGA, $CORES set -e SCRIPT="project_stats" # shellcheck source=scripts/miga.bash . "$MIGA/scripts/miga.bash" || exit 1 DIR="$PROJECT/data/90.stats" [[ -d "$DIR" ]] || mkdir -p "$DIR" cd "$DIR" # Initialize miga date > "miga-project.start" # Execute doctor miga d...
true
a42367d66979bb25c6aa9f2ecbdaedd40c2cea6e
Shell
codymalick/Winter
/419/1/beavermart/compile.sh
UTF-8
308
2.515625
3
[ "MIT" ]
permissive
#! /bin/bash echo "removing old output directory" rm output -rf echo "compiling java for hadoopi" hadoop com.sun.tools.javac.Main BeaverMart.java echo "exporting jar" jar cf wc.jar BeaverMart*.class echo "running hadoop program" hadoop jar wc.jar BeaverMart input output echo "cat output/*" cat output/*
true
39a3a14d322b293a473748d1b4c9c24eabdbb6e1
Shell
areedtomlinson/OpenCV-Examples
/provisioning/tasks/install_opencv.sh
UTF-8
1,234
2.859375
3
[]
no_license
#!/bin/bash # Based on https://www.pyimagesearch.com/2015/07/20/install-opencv-3-0-and-python-3-4-on-ubuntu/ # Make temporary directory: mkdir /home/vagrant/opencv_contrib mkdir /home/vagrant/opencv_contrib/tmp cd /home/vagrant/opencv_contrib/tmp # Clone OpenCV repo git clone https://github.com/Itseez/opencv.git cd ...
true
4d30bdce3aa61ee4e231c6610320ab3c46b670f9
Shell
hello-sources/Linux_OS
/2.socket_project/client_server/client_server_v4.0/push.sh
UTF-8
355
2.765625
3
[]
no_license
######################################################################### # File Name: push.sh # Author: ma6174 # mail: ma6174@163.com # Created Time: Sat 28 Mar 2020 02:56:40 PM CST ######################################################################### #!/bin/bash if [[ $# -ne 1 ]]; then echo "Usage : $0 msg" exi...
true
ddd046e3a4867130a24661947c105fa20d939281
Shell
maniktaneja/tuqtng
/build.sh
UTF-8
640
2.8125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ -z "$1" ] then echo "building cbq-engine" go build -o cbq-engine elif [ $1 == "debug" ] then echo "building cbq-engine with debug flags" go build -gcflags "-N -l" -o cbq-engine elif [ $1 == "release" ] then echo "building cbq-engine without debug symbols" go build -...
true
3c4082b27b5fe0ca438d1e15af0825e09d72e4ac
Shell
RusKursusGruppen/GRIS
/admin/create_secret_key.sh
UTF-8
274
3.046875
3
[]
no_license
#!/bin/bash # -*- coding: utf-8 -*- dir=$(dirname $(readlink -f $0)) rootdir=$dir/.. cd $rootdir source ./env/bin/activate python << EOF from lib.configuration import create_secret_key create_secret_key() EOF if [[ $? == 0 ]] then echo "Generated new secret_key" fi
true
756680144206a17b4423e06e076baf352c3da5cd
Shell
uhh-lt/kaldi-tuda-de
/s5_r2/local/run_tdnn_7o.sh
UTF-8
14,145
2.921875
3
[ "Apache-2.0", "CC-BY-4.0", "LicenseRef-scancode-other-permissive", "LGPL-2.0-or-later" ]
permissive
#!/bin/bash # Copyright 2014 Nickolay V. Shmyrev # 2014 Brno University of Technology (Author: Karel Vesely) # 2016 Vincent Nguyen # 2016 Johns Hopkins University (Author: Daniel Povey) # 2018 Language Technology, Universitaet Hamburg (Author: Benjamin Milde) # Adapte...
true
a532ec9588c7d2298fa17fb2d3c0c10962d7818f
Shell
king32783784/Lsts-i
/lsts/tmp/stressapptesta.sh
UTF-8
2,078
3.5625
4
[]
no_license
#!/bin/bash #This script is created by LP in order to make stressapptest stability easily. #Howto:sh stressapptest-stability ; Please enter right message follow the help info. [ -e $LSTRESULT/stressapptest.log ] && rm -f $LSTRESULT/stressapptest.log setup() { cd $LSTSRC/stressapptest-1.0.4_autoconf make clean...
true
f8fa2d4fc6789bf83ef9ceaaae11f8f79c3bd3dd
Shell
facebook/mcrouter
/mcrouter/scripts/docker/almalinux/scripts/runtime_deps.sh
UTF-8
1,149
2.78125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Copyright (c) Meta Platforms, Inc. and affiliates. # # This source code is licensed under the MIT license found in the # LICENSE file in the root directory of this source tree. set -ex ## Install runtime dependencies dnf update -y dnf install -y \ double-conversion-devel \ ...
true
3703f394829e49803608d1289fe01fd015b8fbaa
Shell
MarriShruthi/first
/unitCon.sh
UTF-8
162
2.703125
3
[]
no_license
#!/bin/bash feet=12 inch=3.2 inchTofeetconversion=$(( 42/$feet)) echo $inchTofeetconversion feet_Meter=$(( $inchTofeetconversion + $inch )) echo $feet_Meter
true
3d6f1ffbfef38fee63872f596e2ffbeb64abb170
Shell
tomichj/bash_dotfiles
/java/gradle-tab-completion.bash
UTF-8
375
3.125
3
[ "MIT" ]
permissive
#!/bin/bash _gradle() { local cur tasks COMPREPLY=() cur=${COMP_WORDS[COMP_CWORD]} tasks='assemble build clean compile dependencies dists idea javadoc jar test uploadArchives war' cur=`echo $cur | sed 's/\\\\//g'` COMPREPLY=($(compgen -W "${tasks}" ${cur} | sed 's/\\\\//g') ) } complete -F _gradle -o fil...
true
1fcc5e78cd5933593995647e9d9e7cb7871ad0ec
Shell
jorgermurillo/CacheBenchmarkerScripts
/kill_remote.sh
UTF-8
220
2.734375
3
[]
no_license
#!/bin/bash #This script is for killing a process using its name in another machine TARGET=$1 HOST=$2 echo "Killing \"$TARGET"\"" remotely" ssh -i ~/Downloads/SHARDS.pem centos@$HOST 'kill $(pgrep -f '$TARGET') '
true
7929d5bbea7c9a73d092b0393a9e2f2cc8642e44
Shell
gschnabel/GMAP-Fortran
/tests/test_001/run_test.sh
UTF-8
1,075
3.84375
4
[]
no_license
#!/bin/sh # DESCRIPTION # compare if the gfortran and ifort compiled # executables yield the same result gfortran_exe=gfortran ifort_exe=ifort basedir=`pwd` fortran_src="$basedir/../../source/GMAP.FOR" rm -r $basedir/result/gfortran rm -r $basedir/result/ifort mkdir -p $basedir/result/gfortran mkdir -p $basedi...
true
98de4a992a9c39d798e2e7a7fddc5a513baeff3c
Shell
skrysmanski/docker-ubuntu-sandbox
/files/puppet-modules/zsh/files/custom/plugins/most/most.plugin.zsh
UTF-8
66
2.6875
3
[ "MIT" ]
permissive
if [[ -e $( which -p most 2>&1 ) ]]; then alias less="most" fi
true
2282a82b0c51d69c0fd0204ab5c769e8a3ee33e2
Shell
cravend/dotfiles
/links/zshrc
UTF-8
2,137
2.84375
3
[ "MIT" ]
permissive
# Path to your oh-my-zsh installation. export ZSH=$HOME/.dotfiles/zsh/ohmyzsh # Set name of the theme to load --- if set to "random", it will # load a random theme each time oh-my-zsh is loaded, in which case, # to know which specific one was loaded, run: echo $RANDOM_THEME # See https://github.com/ohmyzsh/ohmyzsh/wik...
true
5318628fbc8bada9a2310f15d60a79105bdb177c
Shell
sourasisdas/verticila
/aws/aws_instprofile_lib.sh
UTF-8
2,030
3.46875
3
[ "MIT" ]
permissive
#!/bin/bash RED='\033[0;31m' GREEN='\033[0;32m' BLUE='\033[0;34m' YELLOW='\033[0;33m' NC='\033[0m' checkExistence_ofInstProfile_wInstProfileName() { local shadowMode=$1 local wInstProfileName=$2 local commandString="aws iam get-instance-profile \ --instance-profile-name $wInstProf...
true
ee6471f977ad0a8e118508b1aa17c03dfa13acd9
Shell
jina-ai/jina
/scripts/update-version.sh
UTF-8
2,511
3.984375
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Requirements # brew install hub # npm install -g git-release-notes # pip install twine wheel set -ex INIT_FILE='jina/__init__.py' VER_TAG='__version__ = ' function escape_slashes { sed 's/\//\\\//g' } function update_ver_line { local OLD_LINE_PATTERN=$1 local NEW_LINE=$2 local...
true
a6a9a7106b56441507f25f9bb7e1c04070adc44b
Shell
davidlukac/litecoin-container
/bin/docker-login.sh
UTF-8
670
3.5
4
[]
no_license
#!/usr/bin/env bash # Perform AWS ECR Docker login set -xe # Defined as secret/Travis variables. declare AWS_ACCESS_KEY_ID declare AWS_SECRET_ACCESS_KEY declare AWS_DEFAULT_REGION # shellcheck source=.env source .env aws configure set aws_access_key_id "${AWS_ACCESS_KEY_ID}" aws configure set aws_secret_access_key...
true
27b0c2e64a8edd53dcee3c36be798da41bc703bd
Shell
perfsonar/toolkit
/toolkit/perfsonar-toolkit/init_scripts/perfsonar-configdaemon
UTF-8
2,242
4.09375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Init file for perfSONAR Toolkit Configuration Daemon # # chkconfig: 2345 11 20 # description: perfSONAR Toolkit Configuration Daemon # PREFIX=/usr/lib/perfsonar BINDIR=${PREFIX}/bin CONFDIR=/etc/perfsonar/toolkit RUNDIR=/var/run CONFFILE=${CONFDIR}/configdaemon.conf LOGGERFILE=${CONFDIR}/configdaemon-...
true
6641eb6ab7b99a71e80d2c0d8d1bc71e757f6b27
Shell
meom-configurations/eORCA12.L75-GJM2020
/TOOLS/MISC/chks.sh
UTF-8
1,022
3.28125
3
[]
no_license
#!/bin/bash CONFIG=eORCA12.L75 CASE=GJM2020 freq=1d # only valid for 1d (now... ) CONFCASE=${CONFIG}-${CASE} cd $SDIR/${CONFIG}/${CONFCASE}-S/$freq days=(31 28 31 30 31 30 31 31 30 31 30 31 ) for y in {1980..2012} ; do echo $y cd $y t1=$(( $y / 4 )) if [ $(( t1 * 4 )) = $y ] ; then days[1]=29 ...
true
3f9e6344eeef6fea2883ff984d3751ee1cace567
Shell
moonsbtt/inexistence
/00.Installation/script/ipv6.sh
UTF-8
8,103
3.375
3
[]
no_license
#!/bin/bash # # https://github.com/Aniverse/inexistence # Author: Aniverse # script_update=2019.07.03 script_version=r20005 ################################################################################################ usage_guide() { s=/usr/local/bin/ipv66;rm -f $s;nano $s;chmod 755 $s bash <(wget -qO- https://gith...
true
214705c843bf0ec8245bb4c4a762c039f239125a
Shell
bwilkins/postgis_strip
/postgis_strip.sh
UTF-8
619
3.15625
3
[ "MIT" ]
permissive
#!/bin/sh DUMP=$1 DUMPLST="$DUMP.lst" DUMPSTR="$DUMP.stripped" echo Stripping file $DUMP to $DUMPSTR #Create a TOC Manifest to exclude as many legacy PostGIS-isms as possible pg_restore --list $DUMP | grep --invert-match --regexp='OPERATOR\|CAST\|FUNCTION\|AGGREGATE\|TYPE\|spatial_ref_sys\|geometry_columns\|geography_...
true
a6204505df50e5bc151aad7e39e7258209b6afd1
Shell
mbuehle3/labassignment4
/rev_comp.sh
UTF-8
966
4.125
4
[]
no_license
#! /bin/bash # # need to change this to fit the intructions, should only spit out message when something is wrong. Nothing to confirm it is going well. if [ $# -lt 1 ]; then echo "Attention: Must provide a single argument when operating this script" else [ $# -eq 1 ] echo "FASTA file is loaded correctly" # added an ex...
true
601081f39bb045ce8e8f5fc125608cbf71d5aabe
Shell
przemub/youtube_playlist_backup
/youtube_playlist_backup
UTF-8
770
3.296875
3
[]
no_license
#!/bin/bash set -eu [ -n "$DEBUG" ] && set -x if [ -z "${PLAYLIST_LINK:-}" ] then echo "Set \$PLAYLIST_LINK to the link to the YouTube playlist." exit 1 fi FORMAT=${FORMAT:-bestvideo+bestaudio} OUTPUT_TEMPLATE=${OUTPUT_TEMPLATE:-%(playlist_index)s - %(uploader)s - %(title)s.%(ext)s} SLEEP_TIME=${SLEEP_TIME:-24h} w...
true
193c83972d2e7f5a29a76005e3ee22924ab95e47
Shell
junhe/plfs
/easyconf.sh
UTF-8
4,403
3.25
3
[]
no_license
#!/usr/bin/env bash # for a full list of what options are available, try ./configure --help enable_debug_flags=0 debug_flags="-O0 -g" # save the user-provided flags u_cflags="$CFLAGS" u_cxxflags="$CXXFLAGS" SCRIPT_PATH="${BASH_SOURCE[0]}"; if ([ -h "${SCRIPT_PATH}" ]) then while ([ -h "${SCRIPT_PATH}" ]); do ...
true
0bf151b355df2dfbc55219ada810ea066ce6f76e
Shell
cjkennedy1972/DORAScripts
/k8s-cluster/configuration/nexus/create-and-push-docker-images.sh
UTF-8
1,070
3.0625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh . environment.sh SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )" docker_repo_url=${NEXUS_IP}:${DOCKER_REGISTRY_PORT} docker_user="admin" docker_pass="admin123" # Docker login docker login "$docker_repo_url" -u "$docker_user" -p "$docker_pass" #Create and push the base image for JNLP Slave #docker build ...
true
406b8ccd35323bf81a95d1c991b60f4bc6a7ce3d
Shell
tuner23/docker
/bin/manage_charts.sh
UTF-8
2,552
4.125
4
[]
no_license
#!/bin/bash helm='/snap/bin/microk8s.helm3' kubectl='/snap/bin/microk8s.kubectl' SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )" WORKDIR="${SCRIPTPATH}/../charts" CMDS="install upgrade delete purge" FORCE="" DRY="" usage() { echo -e "Usage:\n$0 [install|upgrade|delete|purge] [CHART_NAME|all] [--dry-run|--debug]...
true
cfefc0bbf971f0091eb74a0b36aee37a19bbb4fd
Shell
przrak/docker-files
/docker-jenkins/start-jenkins.sh
UTF-8
613
3.296875
3
[ "Apache-2.0" ]
permissive
#!/bin/sh JENKINS_INIT_PATH=/jenkins/init.sh if [ -n "$DIND" ]; then echo "Running docker in docker as DIND variable was set. This will fail if your did not run in privileged mode" service docker.io restart echo 'alias docker=docker.io' > ~/.bashrc fi if [ -f $JENKINS_INIT_PATH ]; then echo "Running custom init...
true
2b4b9ec75b9a4856d7d81cd07b2125679d729a63
Shell
perryao/dotfiles
/zsh/.zshrc
UTF-8
4,745
2.734375
3
[]
no_license
# Path to your oh-my-zsh installation. export ZSH=~/.oh-my-zsh # Set name of the theme to load. Optionally, if you set this to "random" # it'll load a random theme each time that oh-my-zsh is loaded. # See https://github.com/robbyrussell/oh-my-zsh/wiki/Themes ZSH_THEME="" fpath+=$HOME/.zsh/pure plugins=( git tmux...
true
8e36506a2379e4c1c5d101bcc866c731cd76e355
Shell
Coderphobia/Reference
/shell/case/02case.sh
UTF-8
326
3.28125
3
[]
no_license
#! /bin/bash read -p "input a key:" -n 1 key echo case $key in #[[:alnum:]]) # echo "数字或字母" # ;; [[:digit:]]) echo "数字" ;; [[:upper:]]) echo "大写字母" ;; [[:lower:]]) echo "小写字母" ;; [[:punct:]]) echo "标点符号" ;; esac
true
da9951ce33a0a5db0b67832294ba2af8221be9ea
Shell
roidayan/ovs-tests
/test-tc-insert-rules-matchall.sh
UTF-8
933
2.640625
3
[]
no_license
#!/bin/bash # # Test basic matchall rule # # Bug SW #1909500: Rate limit is not working in openstack ( tc rule not in hw) my_dir="$(dirname "$0")" . $my_dir/common.sh require_module cls_matchall act_police function test_basic_matchall_rep() { title "Test matchall rule on REP $REP" reset_tc $REP tc_filte...
true
74b2d1f521021c51a98f740df136148fb5b9e519
Shell
b00ris/erl8583
/make.sh
UTF-8
1,101
2.71875
3
[]
no_license
#! /bin/bash VERSION=0.4.0 ERL8583_BUILD=erl8583-$VERSION set -x mkdir $ERL8583_BUILD mkdir $ERL8583_BUILD/doc mkdir $ERL8583_BUILD/ebin mkdir $ERL8583_BUILD/tbin erlc -I include -o $ERL8583_BUILD/ebin src/*.erl cp src/erl8583.app $ERL8583_BUILD/ebin erlc -I include -o $ERL8583_BUILD/tbin test/*.erl erl -noshell -pa $E...
true
c4a4ee2c67da66c0f82e14f10257ef8fa36e35bd
Shell
sparcbr/zshutils
/uninstallAPK.sh
UTF-8
417
3.296875
3
[]
no_license
#!/bin/zsh [[ ! -n "$ZSH_ALIAS_VER" ]] . $HOME/.zsh_aliases if [[ "$1" != "-a" ]]; then ext=`getext "$1"` if [[ $ext == "apk" ]]; then #apkname=`basename $1` pkgname=$(getpkgname $1) else pkgname="$1" fi adb shell pm uninstall $pkgname else for pkg in `adb shell pm list p...
true
287202622a4da4832678ac237f8cec2ce9b9713a
Shell
Iverson-Zheng/katana-slice_manager
/start.sh
UTF-8
3,407
4.15625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash containers="mongo zookeeper kafka katana-nbi katana-mngr katana-cli katana-swagger" # Check for help option if [[ " $* " =~ " -h " ]] || [[ " $* " =~ " --help " ]]; then printf "Usage:\n\tstart.sh [-p | --publish] [-r | --release <RELEASE_NUMBER>] [-g | --graphical-ui] [-m | --monitoring] [-h | --he...
true
46473a7c50eec2341e3d0cdc0b068f4df3c804d6
Shell
UCDenver-ccp/ccp-nlp-pipelines
/scripts/eval/cm-craft/cm-craft-go_cc-eval.sh
UTF-8
390
2.765625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # Evaluates ConceptMapper output against CRAFT CHEBI annotations ONT_KEY="GOCC" CM_DICT_KEY="GO_CC" OUTPUT_FILE_PREFIX="cm-craft-go_cc" # precision-optimized param index = 31 # f-score-optimized param index = 31 PARAM_INDEX=31 if ! [[ -e README.md ]]; then echo "Please run from the root of the proje...
true
cb7d1ab0f3753df1a36f06b06bdfc06064c0ebaf
Shell
crtthas/tools-android
/phases/20-gnustep-make.sh
UTF-8
812
3.328125
3
[ "MIT" ]
permissive
#!/bin/bash set -e # make any subsequent failing command exit the script . `dirname $0`/common.sh if ! prepare_project "gnustep-make" "https://github.com/gnustep/tools-make.git"; then exit 0 fi . "${ROOT_DIR}"/env/toolchain.sh # copy user config file mkdir -p "${INSTALL_PREFIX}"/etc/GNUstep GNUSTEP_USER_CONFIG_F...
true
40bdfbac4e1bd558abe06bf17eba16b1a473bd5d
Shell
kuramal/logpresstest
/echo.sh
UTF-8
71
2.71875
3
[]
no_license
#!/bin/bash i=1 while true do echo "message:" + $i let i=i+1 done
true
6aed9f0384e3059f00f31fd66d7c85a4cca36351
Shell
pdadhich/hbc-ddw-o5
/uop_pop_order_data.sh
UTF-8
3,782
3.578125
4
[]
no_license
#!/usr/bin/ksh ############################################################################################################################# #### SAKS INC. ############################################################################################################################# ##### ##### ...
true
b6f81970d7e8d482c777d39dd05adea833f7eb34
Shell
utkarsh39/robinhoodcache
/go/start_requestor.sh
UTF-8
568
2.96875
3
[ "BSD-3-Clause" ]
permissive
#! /bin/bash if [[ $DEBUG ]] then sleep 20d elif [[ ! $SKIP_UNPACK ]] then sleep 10m fi curl -L ${CONFIG_URL}/${CONFIG}.tar.gz -o ${CONFIG}.tar.gz tar -xzvf ${CONFIG}.tar.gz mv config /config pushd /bootstrap if [[ ! -e "./trace.json" || $DOWNLOAD ]] then curl -L $TRACE_URL > trace.json.tar.gz || (echo "cur...
true
2e7fc70f2ae8984a9414e7f35233be71881cf6cb
Shell
jmoggr/dotfiles
/.old/x11/herbstluftwm/.config/herbstluftwm/hc-check-tag.sh
UTF-8
447
3.40625
3
[]
no_license
#!/bin/bash current_tag="" if [[ -z "$2" ]]; then regexp="h\K[0-9]+" else regexp="^\s+\K[^ ]+(?=.$)" fi if ! [[ -z "$1" ]]; then for i in `herbstclient attr tags.by-name | grep -oP "${regexp}"`; do if [[ "$i" == "$1" ]]; then current_tag=$i break fi...
true
c2fedc12d17cef04f1102f049975cb3dc80ce9db
Shell
abdulabbas/build-tools
/buildfarm/maintenance/update_merge_day_wiki.sh
UTF-8
4,840
3.9375
4
[]
no_license
#!/bin/bash -e # Explicitly unset any pre-existing environment variables to avoid variable collision unset DRY_RUN INCREMENT_TITLES="Template:Version/Gecko/release/next \ Template:Version/Gecko/central/current \ Template:Version/Gecko/aurora/current \ Template:Version/Gecko/beta/current \ Template:Ver...
true
3ff71086f9038fa647815d4f8bc0d4fa267a2045
Shell
cjllorente827/comp_structure_research
/stellar_mass_fraction/calculate_stellar_mass_fraction.sh
UTF-8
1,343
3.5625
4
[]
no_license
#!/bin/bash ########################################## # STEP 0 # Decide how much work we need to do #MODE=1 #Create halo catalog, extract data from catalog, make plots MODE=2 #Skip the halo catalog creation #MODE=3 #Skip the halo catalog creation and data extraction (plots only) # Parallel settings NPROCS=28 #rockst...
true
609de8543d78744e65e3c11d1772e5462e68cd40
Shell
Osrx/scripts
/pgu/water.sh
UTF-8
755
3.734375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/sh usage() { cat >&2 << EOF $0 - commandline tool to send water counter values to pgu.mos.ru Usage: $0 get - get counter values $0 set <hot_counter> <cold_counter> - set counter values for current month $0 remove - remove last values for both cold and hot counter EOF } if [ "$#" -lt 1 ]; then ...
true
70f281d9226e4c1f4471aa144ca17e78a0192105
Shell
sakuma/devtools_config
/setup.sh
UTF-8
544
3.484375
3
[]
no_license
$( which bundle >/dev/null ) if [ ! $? -eq 0 ]; then echo "Not found 'bundle' -> gem i bundler " exit 1 fi echo "bundle install..." bundle install # echo "dotfiles copy... " # for dotfile in $( ls dotfiles/* ); do # f=$(basename $dotfile) # cp -b $dotfile ~/.$f # done # homebrew if [ $(uname) = 'Darwin' ];...
true
09ab5bd4716bd0a0ec5471267305e630be85a692
Shell
ProsperWorks/pingtest
/pingtest.sh
UTF-8
3,251
3.890625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # # pingtest.sh # # Measures latency to PG and Redis services. # # author: jhw@prosperworks.com # incept: 2018-04-02 # set -euo pipefail NUM_SAMPLES="60" # Measure time to Redis, if redis-cli is installed at suitable version # and REDIS_URL or REDISCLOUD_URL is defined. # # We use the latency tes...
true
4ebdcd3a7bb1eadb94831c01f19487c31b112af1
Shell
vishnu7560/exam
/first.sh
UTF-8
184
3.0625
3
[]
no_license
echo "Enter first number" read a echo "Enter second number" read b sum=$((a+b)) echo "sum:$sum" sub=$((a-b)) echo "sub:$sub" mul=$((a*b)) echo "mul:$mul" div=$((a/b)) echo "div:$div"
true
ea05b3a08b3a775e9551609567a9cb6ca354ac8a
Shell
nicolaskagami/RedesTF
/Results/avg.sh
UTF-8
425
3.171875
3
[]
no_license
for file in *.dat do sum=0 num_lines=0 while read line do sum=$(bc <<< "scale=6;$line + $sum") let num_lines+=1 done < $file filename=$(basename $file .dat) sum=$(bc <<< "scale=6;$sum/$num_lines") ps=${filename:2:1} dos=${filename:4:1} flows=${filename:6:1} ...
true
975af818b1e567bae10fee5cf2b107834b66297a
Shell
drsjb80/HPotter
/nftables_create_MDNS
UTF-8
564
2.6875
3
[ "MIT" ]
permissive
#! /bin/bash if [[ $(id -u) != 0 ]] then echo "You're not root" echo "https://xkcd.com/149/" exit 1 fi # IPADDR=$(hostname -I | cut -d ' ' -f 1) # nft add rule filter input ip saddr 224.0.0.251 ip daddr ${IPADDR} udp dport 5353 accept # nft add rule filter output ip saddr ${IPADDR} ip daddr 224.0.0.251 ud...
true
f391e1d399da671fa6bf388c686bbb1e0d2c45f6
Shell
ahmedius2/RTG-Sync
/case-study/scripts/run.sh
UTF-8
1,727
2.78125
3
[]
no_license
periods=(50 75 100) for period_msec in ${periods[@]}; do # Collect data with kernelshark trace echo "[STATUS] Running Experiment 1 / 8: RT-Gang + Trace-Cmd (${period_msec}-msec)" . experiments/rtgang.sh ${period_msec} trace-cmd &> run.log echo "---------------------------" &> run.log sleep 2 echo "[STATUS] Run...
true